## GESUriClipAsset GESUriClipAsset — A GESAsset subclass specialized in GESUriSource extraction |

## Functions

GType | ges_uri_source_asset_get_type ()
const GESUriClipAsset * | ges_uri_source_asset_get_filesource_asset ()
GstDiscovererStreamInfo * | ges_uri_source_asset_get_stream_info ()
const gchar * | ges_uri_source_asset_get_stream_uri ()

## Types and Values

| GESUriSourceAsset

## Object Hierarchy

        GObject
        ╰── GESAsset
            ╰── GESTrackElementAsset
                ╰── GESUriSourceAsset

## Implemented Interfaces

GESUriSourceAsset implements GAsyncInitable, GInitable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

NOTE: You should never request such a GESAsset as they will be created automatically by GESUriClipAsset-s.

## Functions

### ges_uri_source_asset_get_type ()

    GType
    ges_uri_source_asset_get_type (void);

### ges_uri_source_asset_get_filesource_asset ()

    const GESUriClipAsset *
    ges_uri_source_asset_get_filesource_asset
                                   (GESUriSourceAsset *asset);

Get the GESUriClipAsset `self` is contained in

#### Parameters

asset | A GESUriClipAsset |

#### Returns

a GESUriClipAsset

### ges_uri_source_asset_get_stream_info ()

    GstDiscovererStreamInfo *
    ges_uri_source_asset_get_stream_info (GESUriSourceAsset *asset);

Get the GstDiscovererStreamInfo user by `asset`

#### Parameters

asset | A GESUriClipAsset |

#### Returns

a GESUriClipAsset.

[transfer none]

### ges_uri_source_asset_get_stream_uri ()

    const gchar *
    ges_uri_source_asset_get_stream_uri (GESUriSourceAsset *asset);

## Types and Values

### GESUriSourceAsset

    typedef struct _GESUriSourceAsset GESUriSourceAsset;